Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend
Class LuceneWork

    java.lang.Object
      org.hibernate.search.backend.LuceneWork

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AddLuceneWork, DeleteLuceneWork, OptimizeLuceneWork, PurgeAllLuceneWork

    public abstract class LuceneWork

extends java.lang.Object
implements java.io.Serializable

Represent a Serializable Lucene unit work WARNING: This class aims to be serializable and passed in an asynchronous way across VMs any non backward compatible serialization change should be done with great care and publically announced. Specifically, new versions of Hibernate Search should be able to handle changes produced by older versions of Hibernate Search if reasonably possible. That is why each subclass susceptible to be pass along have a magic serialization number. NOTE: we are relying on Lucene's Document to play nice unfortunately

Author:
  Emmanuel Bernard, Hardy Ferentschik, Sanne Grinovero
See Also:
  Serialized Form

Constructor Summary
`LuceneWork(java.io.Serializable id, java.lang.String idInString, java.lang.Class entity)`
`LuceneWork(java.io.Serializable id, java.lang.String idInString, java.lang.Class entity, org.apache.lucene.document.Document document)`
`LuceneWork(java.io.Serializable id, java.lang.String idInString, java.lang.Class entity, org.apache.lucene.document.Document document, boolean batch)`

Method Summary
`org.apache.lucene.document.Document` | `getDocument()`
`java.lang.Class` | `getEntityClass()`
`java.io.Serializable` | `getId()`
`java.lang.String` | `getIdInString()`
`abstract
`<T> T`
` | `getWorkDelegate(WorkVisitor<T> visitor)`
`boolean` | `isBatch()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneWork

    public LuceneWork(java.io.Serializable id,
                      java.lang.String idInString,
                      java.lang.Class entity)

### LuceneWork

    public LuceneWork(java.io.Serializable id,
                      java.lang.String idInString,
                      java.lang.Class entity,
                      org.apache.lucene.document.Document document)

### LuceneWork

    public LuceneWork(java.io.Serializable id,
                      java.lang.String idInString,
                      java.lang.Class entity,
                      org.apache.lucene.document.Document document,
                      boolean batch)

Method Detail

### isBatch

    public boolean isBatch()

### getDocument

    public org.apache.lucene.document.Document getDocument()

### getEntityClass

    public java.lang.Class getEntityClass()

### getId

    public java.io.Serializable getId()

### getIdInString

    public java.lang.String getIdInString()

### getWorkDelegate

    public abstract <T> T getWorkDelegate(WorkVisitor<T> visitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.